Subject: Re: bug#9459: 24.0.50; Condigure aborts, complains about missing install.sh in build-aux.

From: Jan Djärv <[email-masked]>
Date: Wed, 07 Sep 2011 20:15:02 +0200

Paul Eggert skrev 2011-09-07 20:00:
> On 09/07/11 09:44, Eli Zaretskii wrote:
>
>> Run ./autogen.sh by hand, and everything will be fixed again.
>
> Yes, that's right.
>
>> I don't know if GNUMakefile is supposed to DTRT with the kind of
>> changes installed in one of the recent commits (files used during
>> configure moved to other subdirectories).  Paul?
>
> In general, GNUmakefile can't recover from arbitrary mishaps
> when one has an old tree, does a "bzr update", and then tries to
> mimic autogen.sh's actions by hand but makes a mistake in the
> process (which is what happened here).
>

I did not try to mimic autogen.sh, I just did make.
If there was a mistake in there somewhere, the make rules are wrong.

	Jan D.